<template>
  <ProTabs v-model="orderType" name="user-home-tabs" class="user-home-tabs" flexTitle fullHeight>
    <ProTabPane title="话费订单" pane-key="1">
      <PhoneOrder @goApplyRefund="goApplyRefund" @goRefundDetail="goRefundDetail" />
    </ProTabPane>
    <ProTabPane title="电费订单" pane-key="2">
      <ElectricOrder @goApplyRefund="goApplyRefund" @goRefundDetail="goRefundDetail" />
    </ProTabPane>
    <ProTabPane title="燃气订单" pane-key="3">
      <GasOrder @goApplyRefund="goApplyRefund" @goRefundDetail="goRefundDetail" />
    </ProTabPane>
  </ProTabs>
</template>

<script setup lang="ts">
import { PhoneOrder, ElectricOrder, GasOrder } from '@life-payment/components';
import Taro from '@tarojs/taro';

defineOptions({
  name: 'InnerPage',
});

const orderType = ref('1');

function goApplyRefund(orderNo: string) {
  Taro.navigateTo({
    url: `${RouterPath.orderApplyRefund}?orderNo=${orderNo}`,
    // events: {
    //   submitApplyRefund: function () {},
    // },
  });
}
function goRefundDetail(orderNo: string) {
  Taro.navigateTo({
    url: `${RouterPath.orderApplyRefund}?orderNo=${orderNo}`,
  });
}
</script>
